import Document, { Html, Head, Main, NextScript, DocumentContext } from 'next/document'

class MyDocument extends Document {
  static async getInitialProps(ctx : DocumentContext) {
    const initialProps = await Document.getInitialProps(ctx)
    return { ...initialProps }
  }

  render() {
    return (
      <Html lang="en">
        <Head>
          <link rel="me" href="https://tilde.zone/@ashe"/>
          <link rel="preconnect" href="https://fonts.googleapis.com"/>
          <link rel="preconnect" href="https://fonts.gstatic.com" crossOrigin="true"/>
          <link href="https://fonts.googleapis.com/css2?family=Quicksand:wght@300;600&display=swap" rel="stylesheet"/>
          <link href="https://emoji-css.afeld.me/emoji.css" rel="stylesheet"/>
        </Head>
        <body>
          <Main />
          <NextScript />
          <div id="modalContainer"/>
        </body>
      </Html>
    )
  }
}

export default MyDocument
